#include "Button.h"

Button::Button(string filepath)  : Image(filepath, 0, 0)
{
    texture = Artist::Instance()->requestTexture(filepath);
    bounds = Artist::Instance()->requestBounds(filepath);
    bounds.w = framew;
    bounds.h = frameh;
    partition(1,2);

    hitbox = bounds;
}

bool Button::mouseOver(int mx, int my)
{
    if (mx >= hitbox.x && my >= hitbox.y
                        && mx <= hitbox.x + hitbox.w && my <= hitbox.y + hitbox.h)
    {
        setTrack(2);
        return true;
    }

    setTrack(1);
    return false;
}
