#include "StateMachine.h"

using namespace std;

StateMachine::StateMachine()
{
    // default to menu state
    gameState = MENU;

    // initialize arrow keys to UP position
    for(int i = 0; i<4; i++)
        arrowState[i] = false;
}

string StateMachine::getGameStateString()
{
    switch(gameState)
    {
        case MENU:     return "MENU";
        case NEWGAME:  return "NEWGAME";
        case CONTINUE: return "CONTINUE";
        case QUIT:     return "QUIT";
        default: return "UNKNOWN STATE";
    }
}
